> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merciasquill.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Linked Role



## OpenAPI

````yaml post /discord/authentication/update-linked-role
openapi: 3.0.0
info:
  title: discord
  version: 1.0.0
servers:
  - url: https://api.merciasquill.com
security:
  - ApiKeyAuth: []
paths:
  /discord/authentication/update-linked-role:
    post:
      tags:
        - discord_authentication_update-linked-role
      summary: public
      parameters:
        - name: force
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: raw_data
          in: query
          description: ''
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/public_1'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  platform_name:
                    type: string
                  platform_username:
                    type: string
                  metadata:
                    type: object
                    properties:
                      pirate_legend:
                        type: string
                      legendary_hunter:
                        type: string
                      guardian_of_the_sea:
                        type: string
                      warrior_of_the_flame:
                        type: string
                      time_played:
                        type: string
              examples:
                merciasquill:
                  value:
                    platform_name: MerciasQuill#450
                    platform_username: Hunter of The Shrouded Ghost
                    metadata:
                      pirate_legend: '0'
                      legendary_hunter: '0'
                      guardian_of_the_sea: '0'
                      warrior_of_the_flame: '0'
                      time_played: '49'
                  summary: merciasquill
                merciasquill_raw:
                  value:
                    platform_name: MerciasQuill#450
                    platform_username: Hunter of The Shrouded Ghost
                    metadata:
                      pirate_legend: '0'
                      legendary_hunter: '0'
                      guardian_of_the_sea: '0'
                      warrior_of_the_flame: '0'
                      time_played: '49'
                  summary: merciasquill_raw
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  platform:
                    type: string
                  reasonId:
                    type: string
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                      code:
                        type: integer
              example:
                platform: Discord
                reasonId: Unauthorized
                data:
                  message: '401: Unauthorized'
                  code: 0
components:
  requestBodies:
    public_1:
      content:
        application/x-www-form-urlencoded:
          schema:
            $ref: '#/components/schemas/public_1'
      description: ''
      required: true
  schemas:
    public_1:
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.